#!/usr/bin/awk -f
#contact.awk version 1.0
#prints out contact details
#record is an integer passed by contact.sh

BEGIN{
	FS="+";
}
{
	#format and output name field
	if (NR == record){
		name = $1;
		split(name, nameArray, ";");
		#firstname first!
		printf "\t %s %s \n", nameArray[2], nameArray[1];
	
		#deal with other fields
		x=2;
		while (x < NF){
			split($x, fieldArray, ":");
			
			#address field needs extra work
			if (fieldArray[1] == "ADDRESS"){
				split(fieldArray[2], fieldArray, ";");
				#this is crap as it mungs the order of array members
				#for (i in fieldArray) {print fieldArray[i];}
				#but this works fine
				for (i=1; i<=length(fieldArray); i++) {
					printf "\t %s \n", fieldArray[i];
				}
				print ""
			}

			#phone & email fields
			else {printf "\t %s \n", fieldArray[2];}
			x=x+1;
		}
	}
}
